/**
*Programme cree par The Clusters
*Interface du joueur manuel du jeu "Chkoba"
*Toutes les interfaces pour le reseau
*doivent heriter de Remote
*@author The Clusters
*@version 1.0
**/

package chkoba;
import chkoba.*;
import java.rmi.*;
import java.util.ArrayList;

/**
*	Interface Joueur Manuel
**/
public interface IJoueurM extends Remote
{
	/**
	* METHODES
	**/
	
	void jouer( IPlateau p) throws RemoteException;
	void chkoba() throws RemoteException;
	boolean deuxCartes (ICarte c, IPlateau plateau) throws RemoteException;
	boolean troisCartes (ICarte c, IPlateau plateau) throws RemoteException;
	boolean quatreCartes (ICarte c, IPlateau plateau) throws RemoteException;
	boolean cinqCartes (ICarte c, IPlateau plateau) throws RemoteException;
	boolean sixCartes (ICarte c, IPlateau plateau) throws RemoteException;
	int coupsPossibles (ICarte c,IPlateau plateau) throws RemoteException;
	int compteCarreaux() throws RemoteException;
	boolean septCarreau() throws RemoteException;
	int compteSept() throws RemoteException;
	int compteSix() throws RemoteException;
	void poser( IPlateau plateau ) throws RemoteException;
	public void prendre( IPlateau plateau, int carteMax) throws RemoteException;
	
	/**
	* ACCESSEURS 
	**/
	
	boolean mainEstVide() throws RemoteException;
	IMain getMain() throws RemoteException;
	String getNom() throws RemoteException;
	int getChkoba() throws RemoteException;
	
	void setVide(boolean b) throws RemoteException;
	void setNom(String s) throws RemoteException;
	
	/**
	* AFFICHAGE 
	**/
	
	String affiche() throws RemoteException;
	String affichePlis() throws RemoteException;
}